CVE-2018-18662

NameCVE-2018-18662
DescriptionThere is an out-of-bounds read in fz_run_t3_glyph in fitz/font.c in Artifex MuPDF 1.14.0, as demonstrated by mutool.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, GitHub advisories/code/issues, web search, more)
ReferencesDLA-2289-1
Debian Bugs912013

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mupdf (PTS)buster1.14.0+ds1-4+deb10u3fixed
buster (security)1.14.0+ds1-4+deb10u2fixed
bullseye1.17.0+ds1-2fixed
bullseye (security)1.17.0+ds1-1.3~deb11u1fixed
bookworm1.21.1+ds2-1fixed
trixie1.23.10+ds1-1fixed
sid1.24.3+ds1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mupdfsourcejessie(not affected)
mupdfsourcestretch1.9a+ds1-4+deb9u5DLA-2289-1
mupdfsource(unstable)1.14.0+ds1-3912013

Notes

[jessie] - mupdf <not-affected> (vulnerable code introduced later)
https://bugs.ghostscript.com/show_bug.cgi?id=700043
https://git.ghostscript.com/?p=mupdf.git;h=164ddc22ee0d5b63a81d5148f44c37dd132a9356

Search for package or bug name: Reporting problems